local enviroment = {}

local networking = require "src.class.networking"
local player = require "src.class.player"
local udp = networking.getudp()
local nodes = {}
local nodeSelected = 0
local command = {}

function enviroment.update()
	local receivedData = udp:receive()
	if receivedData then
		console.write(receivedData)
		for i in string.gmatch(receivedData, "%S+") do
			table.insert(command, i)
		end
		if command[1] == "createNode" then
			nodes[tonumber(command[2])] = {name = tonumber(command[2]), health = tonumber(command[3]), posX = tonumber(command[4]), posY = tonumber(command[5]), rot = tonumber(command[6])}
		end
		command = {}
	end
end

function enviroment.draw()
	for a, b in pairs(nodes) do
		love.graphics.setColor(244, 162, 89)
		love.graphics.rectangle("fill", b.posX, b.posY, 20, 20)
		love.graphics.setColor(255, 255, 255)
	end
end

return enviroment

--[[function enviroment.mouseDown(fx, fy, button)
	local mouseX = fx - love.graphics.getWidth()/2 + 5 + player.getPositionX()
	local mouseY = fy - love.graphics.getHeight()/2 + 5 + player.getPositionY()
	if button == 1 then
		--Select Node
		for _, node in pairs(nodes) do
			--xp = tonumber(node.posX)
			--yp = tonumber(node.posY)
			if mouseX > node.posX and mouseX < node.posX + 20 and mouseY > node.posY and mouseY < node.posY + 20 then
				nodeSelected = node.name
				console("selecting")
			end
		end

		--Deselected Node
		if nodeSelected ~= 0 then
			xp = world.nodes[nodeSelected].posX
			yp = world.nodes[nodeSelected].posY
			if mouseX < node.posX or mouseX > node.posX + 20 or mouseY < node.posY or mouseY > node.posY + 20 then
				console("deselecting")
				nodeSelected = 0
			end
		end
	end
end]]--