local players = {}
local playerData = {}
local command = {}

function players.load()
	console = require "src.class.console"
	networking = require "src.class.networking"
	udp = networking.getudp()
end

function players.update()
	local receivedData = udp:receive()
	if receivedData then
		for i in string.gmatch(receivedData, "%S+") do
			table.insert(command, i)
		end
		if command[1] == "updatePos" then
			playerData[tonumber(command[2])] = {posX = tonumber(command[3]), posY = tonumber(command[4])}
		end
		command = {}
	end
end

function players.draw()
	love.graphics.setColor(205, 205, 205)
	for a, b in pairs(playerData) do
		love.graphics.setColor(255, 255, 255)
		love.graphics.rectangle("fill", b.posX, b.posY, 10, 10)
		love.graphics.print(a, b.posX, b.posY - 20)
	end
end

return players