function love.load()
	networking = require "src.class.networking"
	networking.load()
	game = require "src.state.game"
	game.load()
end

function love.update()
	game.update()
	love.timer.sleep(0.016)
end

function love.draw()
	game.draw()
end

function love.mousepressed(fx, fy, button)
	game.mouseDown(fx, fy, button)
end

function love.keypressed(key)
	game.keyDown(key)
end

function love.keyreleased(key)
	game.keyUp(key)
end